From fac5ada4fc64c16b9553be1d69e4e117ccfebd88 Mon Sep 17 00:00:00 2001
From: Jeff Davis <jeff@j-davis.com>
Date: Fri, 10 Feb 2023 10:54:42 -0800
Subject: [PATCH v1] Correct docs for the default locale_provider of a new
 database.

If the locale provider is not specified, it defaults to be the same as
the template from which it was created. Previously, the documentation
said the default was libc.

Also adjust wording of CREATE DATABASE and CREATE COLLATION docs to be
definite that there are exactly two possible collation providers.
---
 doc/src/sgml/ref/create_collation.sgml | 10 +++++-----
 doc/src/sgml/ref/create_database.sgml  | 10 ++++++----
 2 files changed, 11 insertions(+), 9 deletions(-)

diff --git a/doc/src/sgml/ref/create_collation.sgml b/doc/src/sgml/ref/create_collation.sgml
index 58f5f0cd63..136976165c 100644
--- a/doc/src/sgml/ref/create_collation.sgml
+++ b/doc/src/sgml/ref/create_collation.sgml
@@ -119,11 +119,11 @@ CREATE COLLATION [ IF NOT EXISTS ] <replaceable>name</replaceable> FROM <replace
      <listitem>
       <para>
        Specifies the provider to use for locale services associated with this
-       collation.  Possible values
-       are: <literal>icu</literal>,<indexterm><primary>ICU</primary></indexterm>
-       <literal>libc</literal>.
-       <literal>libc</literal> is the default.
-       The available choices depend on the operating system and build options.
+       collation.  Possible values are
+       <literal>icu</literal><indexterm><primary>ICU</primary></indexterm>
+       (if the server was built with ICU support) or <literal>libc</literal>.
+       <literal>libc</literal> is the default.  See <xref
+       linkend="locale-providers"/> for details.
       </para>
      </listitem>
     </varlistentry>
diff --git a/doc/src/sgml/ref/create_database.sgml b/doc/src/sgml/ref/create_database.sgml
index 91c39c5230..57d13e34c2 100644
--- a/doc/src/sgml/ref/create_database.sgml
+++ b/doc/src/sgml/ref/create_database.sgml
@@ -198,10 +198,12 @@ CREATE DATABASE <replaceable class="parameter">name</replaceable>
       <listitem>
        <para>
         Specifies the provider to use for the default collation in this
-        database.  Possible values are:
-        <literal>icu</literal>,<indexterm><primary>ICU</primary></indexterm>
-        <literal>libc</literal>.  <literal>libc</literal> is the default.  The
-        available choices depend on the operating system and build options.
+        database.  Possible values are
+        <literal>icu</literal><indexterm><primary>ICU</primary></indexterm>
+        (if the server was built with ICU support) or <literal>libc</literal>.
+        By default, the provider is the same as that of the <xref
+        linkend="create-database-template"/>. See <xref
+        linkend="locale-providers"/> for details.
        </para>
       </listitem>
      </varlistentry>
-- 
2.34.1

